Documentation - Bug #2854

[udev-init-scripts] not mentioned in "installing the base system" on OpenRC
2020-08-04 11:56 AM - rah

Status: fixed % Done: 0%
Priority: bug

Assignee: oaken-source

Category:

Description

I've just installed Parabola OpenRC on an i686 box following the installation guide but after booting, no udev is running and (I
suspect) as a result, the network interface is not brought up by NetworkManager. The 'eudev' package is installed but eudev is not
run on boot. There is nothing appropriate in the output to 'rc-service -I'.

History

#1 - 2020-08-04 12:32 PM - bill-auger

both of my openrc systems (x86_64 and i686) shows these results:

$ rc-service -1 | grep udev
udev

udev-settle

udev-trigger

$ rc-status sysinit | grep udev
udev [ started ]
udev-trigger [ started ]

if your results are different, you may be missing some parts of the system - i suggest running this command to ensure that your system is in a
supported configuration

# pacman -S base elogind udev-init-scripts openrc-desktop --needed
those are the mandatory packages for a parabola openrc dekstop system - please indicate that you have run that command, and either:

e that command did not install any new packages; or
e that command did install some new packages, but the problem still persists after rebooting

#2 - 2020-08-04 12:32 PM - bill-auger

- Assignee set to Megver83

#3 - 2020-08-04 12:35 PM - rah

The udev-init-scripts package was missing from my system. After installing it, eudev runs. This is a bug in the installation guide or the "base"
package(s) for openrc.

#4 - 2020-08-04 01:01 PM - bill-auger

- Status changed from unconfirmed to not-a-bug

excellent - we know that it is missing from the install guide - we are
deciding whether to add it to the install guide, or to make it part of
'nonsystemd/base’ or 'nonsystemd/parabola-base'

#5 - 2020-08-04 01:46 PM - Megver83

just fyi, udev-init-scripts is mentioned in the OpenRC base installation
https://wiki.parabola.nu/OpenRC#Base_system

Haven't checked the Installation Guide, but it should point to the OpenRC section or move that OpenRC section to the Install Guide

#6 - 2020-08-04 02:01 PM - rah

Status changed from unconfirmed to not-a-bug
it is missing from the install guide

Wow.

#7 - 2020-08-04 02:08 PM - bill-auger
yea, i thnk it is beest to have only one install guide to maintain - the install guide, the beginners guide and the openrc guide all have conflicting
information

i would like to move all of the install instructions off of the openrc page, and onto the install guide (also deleteing the beginners guide); keeping the
openrc page for extra configuration and explanations, like groups, more detail about using the service management tools, and trouble-shooting - i
think 'udev-init-scripts' is the only important part of the install process which has not ben added to the install guide yet

#8 - 2020-08-04 02:24 PM - Megver83

- Subject changed from [eudev] eudev cannot be started on boot to [eudev] not started on boot

bill-auger what about copy-pasting the Arch install guide? they did what you say a time ago. Of course we should not literally copy-paste its install
guide but "fork it" and add the OpenRC stuff, for example.

BTW, changing the topic a bit, why ParabolaWiki is still using an old MediaWiki version? or is it my idea? it looks like the old ArchWiki (at least the
theme looks like that)

#9 - 2020-08-04 02:26 PM - bill-auger

rah - it is not a bug; because it is explained on the openrc install guide - until recently, that was the preferred install guide for an openrc system - now
we are in the process of combining the systemd and openrc install guides - the install guide makes it clear that it is not comprehensive, and that the
openrc guide still contains important information, which should be read

There are some subtle caveats to be aware of regarding OpenRC, in some system configurations, which have not been mentioned in this guide.
If you have a problem initially, with using your new OpenRC system, please read that article, first before reporting bugs.

an open bug report represents work to be done - this BR as reported: "eudev cannot be started on boot" is not a bug; because it can be started - there
is no work to be done, which would fix this ticket - there is work to be done which could make bug reports similar to this one, less likely in the future;
but that is already known and being discussed on other tickets

#10 - 2020-08-04 02:33 PM - bill-auger

Megver83 wrote:

bill-auger what about copy-pasting the Arch install guide?

the install guide is so close to perfect now, im pretty sure the 'udev-init-scripts' is the only thing that needs attention - i left it as it is because i plan to
make a 'parabola-base’ package, for the most common cases, which will abstract the differences between init systems - i made 'libre/parabola-base’
already; but havent had the time to make one for nonsystemd - the install guide already suggests installing 'parabola-base’, in order to have a fully
POSIX-compliant system; so if 'udev-init-scripts' is added to either 'nonsystend/base' or 'nonsystend/parabola-base’, then the install guide would not
need to mention it explicitly

the only thing that i am not clear about now, is whether 'udev-init-scripts' should be mandatory - if it should be mandatory, then it should be added to
'nonsystemd/base’, if it is optional but very impottant, then it can go into 'parabola-base’ along with elogind

#11 - 2020-08-04 02:41 PM - Megver83

the only thing that i am not clear about now, is whether 'udev-init-scripts' should be mandatory - if it should be mandatory, then it should be
added to 'nonsystemd/base’, if it is optional but very impottant, then it can go into 'parabola-base’ along with elogind

I would do it but if | did, then it would be forcing to use OpenRC, which is a problem if | want to have another init system that is not OpenRC. | might
add s6 in the future (or any maintained and updated init, | removed runit as it is unmaintained) or sysvinit init scripts so it can be used without
OpenRC.

#12 - 2020-08-04 02:56 PM - bill-auger

ok that settles it then - in order to leave the possibility for other initsystemd, then elogind and udev-init-scripts can not be in 'base’ - so 'parabola-base’
is the perfect place for them - that meta-package installs the same packages that go onto the CLI LivelSO system - something of a most
recommended, but optional configuration

i will complete the optional 'parabola-base’ and "parabola-desktop' next, after i finish with getting libretools to work with the new fakeroot - i think i
fixed mksource() too; so that will be a nice upgrade
#13 - 2020-08-04 02:57 PM - rah

the install guide makes it clear that it is not comprehensive

| disagree.
There are some subtle caveats to be aware of regarding OpenRC, in some system configurations, which have not been mentioned in this

guide.
If you have a problem initially, with using your new OpenRC system, please read that article, first before reporting bugs.

| didn't have a problem using my new OpenRC system; rc-service, rc-update, etc., all worked fine. The problem | had was using eudev.
that is already known and being discussed on other tickets

The thing to do in most bug trackers in such a situation would be to mark this ticket as a duplicate of one of those other tickets, not close this ticket as
"not a bug".

#14 - 2020-08-04 03:02 PM - rah

the install guide is so close to perfect now

ROFL. Having just followed the install guide, | can say unequivocally that the install guide is a fucking joke. It reflects very badly on the project.

#15 - 2020-08-04 03:09 PM - bill-auger

it is not a duplicate - it is invalid - there is no bug which is causing: "eudev cannot be started on boot" - eudev can be started on boot, if
'udev-init-scripts' is installed; but that package is optional, and it must be, as megver explained

#16 - 2020-08-04 03:17 PM - Megver83

The thing to do in most bug trackers in such a situation would be to mark this ticket as a duplicate of one of those other tickets, not close this
ticket as "not a bug".

idk of which specific tickets are we talking about, but bill-auger might refer to the forum too? (or mailing list/IRC) if that's the case, then this issue isn't

technically a duplicate, as it would be the first time here in the bug tracker, otherwise you're right on that we it should be marked as duplicate. But yea,
please always read carefully the wiki and its respective pages before proceeding to do new installations, and also look here in the bug tracker if some
else had your same problem to avoid duplicates.

the install guide is so close to perfect now
ROFL. Having just followed the install guide, | can say unequivocally that the install guide is a fucking joke. It reflects very badly on the project.

Calm down. | never use the Parabola install guide, only the Arch one as it applies perfectly. | agree on that the Install Guide isn't "near perfection”, but
that's not a reason for destructive criticism. The Parabola project doesn't have the same amount of people and resources as Arch or other distros
have, so please have a bit more of comprehensiveness and empathy. We may have some issues but that's not a reason for using insults, they are not
part of a healthy community. If you want to contribute, do it, there's a discussion page were you can suggest improvements and feedback. That's
called collaboration.

#17 - 2020-08-04 04:06 PM - rah

if 'udev-init-scripts' is installed

But 'udev-init-scripts' isn't installed, that's the bug. Perhaps change the ticket title to "udev-init-scripts not installed after following install guide"?

#18 - 2020-11-28 12:01 PM - oaken-source
- Assignee changed from Megver83 to oaken-source
- Status changed from not-a-bug to confirmed

- Subject changed from [eudev] not started on boot to [udev-init-scripts] not mentioned in "installing the base system" on OpenRC
- Project changed from Packages to Documentation

| agree that this is a problem, most easily solved by adding a short note to the general install guide at the appropriate place.

I'm taking the liberty of doing that right now.

#19 - 2020-11-28 12:04 PM - oaken-source

- Status changed from confirmed to fixed
